Bug 184426 - ports-mgmt/portupgrade-devel date range of pkg_glob doesn't work as expected
ports-mgmt/portupgrade-devel date range of pkg_glob doesn't work as expected
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Bryan Drewery
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-02 05:30 UTC by kasahara
Modified: 2013-12-05 14:40 UTC (History)
0 users

See Also:


Attachments
file.diff (489 bytes, patch)
2013-12-02 05:30 UTC, kasahara
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kasahara 2013-12-02 05:30:01 UTC
A date range specification for pkg_glob has no effect because date_installed()
in pkginfo.rb always returns Time.at(0) when $pkgdb.with_pkgng? is false.
Actually "pkgname" is not needed and undefined here, but "rescue" hides
the actual bug.

How-To-Repeat: 	

pkg_glob '>2000-01-01' returns empty list.
Comment 1 Edwin Groothuis freebsd_committer 2013-12-02 05:30:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bdrewery

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2013-12-02 14:06:05 UTC
Author: bdrewery
Date: Mon Dec  2 14:05:57 2013
New Revision: 335490
URL: http://svnweb.freebsd.org/changeset/ports/335490

Log:
  - Update to checkin 3778f5c
  
  Changes:
  
   * Fix date parsing with pkg_install
   * Show proper origin in 'portupgrade' when duplicates detected
   * Fix crash when attempting to upgrade bsdpan packages
  
  PR:		ports/184428
  PR:		ports/184426
  Submitted by:	Yoshiaki Kasahara <kasahara@nc.kyushu-u.ac.jp>

Modified:
  head/ports-mgmt/portupgrade-devel/Makefile
  head/ports-mgmt/portupgrade-devel/distinfo

Modified: head/ports-mgmt/portupgrade-devel/Makefile
==============================================================================
--- head/ports-mgmt/portupgrade-devel/Makefile	Mon Dec  2 14:02:20 2013	(r335489)
+++ head/ports-mgmt/portupgrade-devel/Makefile	Mon Dec  2 14:05:57 2013	(r335490)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	portupgrade
-PORTVERSION=	20130921
+PORTVERSION=	20131202
 PORTEPOCH=	3
 CATEGORIES=	ports-mgmt
 MASTER_SITES=	GH \
@@ -20,7 +20,7 @@ CONFLICTS_INSTALL=	portupgrade-[0-9]*
 USE_GITHUB=	yes
 GH_ACCOUNT=	freebsd
 GH_PROJECT=	portupgrade
-GH_COMMIT=	452ad6a
+GH_COMMIT=	3778f5c
 GH_TAGNAME=	${GH_COMMIT}
 
 DIST_SUBDIR=	${PORTNAME}

Modified: head/ports-mgmt/portupgrade-devel/distinfo
==============================================================================
--- head/ports-mgmt/portupgrade-devel/distinfo	Mon Dec  2 14:02:20 2013	(r335489)
+++ head/ports-mgmt/portupgrade-devel/distinfo	Mon Dec  2 14:05:57 2013	(r335490)
@@ -1,2 +1,2 @@
-SHA256 (portupgrade/freebsd-portupgrade-20130921-0-g452ad6a.tar.gz) = 629a5bebeea2bcae303603a5cb3b4c5d885e82ea000ce95aa673256b93f5b4d7
-SIZE (portupgrade/freebsd-portupgrade-20130921-0-g452ad6a.tar.gz) = 106950
+SHA256 (portupgrade/freebsd-portupgrade-20131202-0-g3778f5c.tar.gz) = 35d10bd378e0b4ace65916bcfa298223a9acbc57810d63f2d5232e7e7307bedf
+SIZE (portupgrade/freebsd-portupgrade-20131202-0-g3778f5c.tar.gz) = 107096
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 dfilter freebsd_committer 2013-12-05 14:38:44 UTC
Author: bdrewery
Date: Thu Dec  5 14:38:35 2013
New Revision: 335671
URL: http://svnweb.freebsd.org/changeset/ports/335671

Log:
  - Update to 2.4.11.3
  
  Changes:
  
   * Fix date parsing with pkg_install
   * Show proper origin in 'portupgrade' when duplicates detected
   * Fix crash when attempting to upgrade bsdpan packages
  
  PR:		ports/184428
  PR:		ports/184426
  Submitted by:	Yoshiaki Kasahara <kasahara@nc.kyushu-u.ac.jp>

Modified:
  head/ports-mgmt/portupgrade/Makefile
  head/ports-mgmt/portupgrade/distinfo

Modified: head/ports-mgmt/portupgrade/Makefile
==============================================================================
--- head/ports-mgmt/portupgrade/Makefile	Thu Dec  5 13:50:22 2013	(r335670)
+++ head/ports-mgmt/portupgrade/Makefile	Thu Dec  5 14:38:35 2013	(r335671)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	portupgrade
-PORTVERSION=	2.4.11.2
-PORTREVISION=	1
+PORTVERSION=	2.4.11.3
 PORTEPOCH=	2
 CATEGORIES=	ports-mgmt
 MASTER_SITES=	SF/portupgrade/pkgtools/dist/ \

Modified: head/ports-mgmt/portupgrade/distinfo
==============================================================================
--- head/ports-mgmt/portupgrade/distinfo	Thu Dec  5 13:50:22 2013	(r335670)
+++ head/ports-mgmt/portupgrade/distinfo	Thu Dec  5 14:38:35 2013	(r335671)
@@ -1,2 +1,2 @@
-SHA256 (portupgrade/pkgtools-2.4.11.2.tar.bz2) = a65813a51e946a742d2e035912a0b1a7aaf6a3fb709ccb7248a77a7f3a600acd
-SIZE (portupgrade/pkgtools-2.4.11.2.tar.bz2) = 85832
+SHA256 (portupgrade/pkgtools-2.4.11.3.tar.bz2) = f80b2cef05c940eddf5326f5dcb87442ac922d924bd2301135eb69e2a69b2c06
+SIZE (portupgrade/pkgtools-2.4.11.3.tar.bz2) = 85885
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Bryan Drewery freebsd_committer 2013-12-05 14:38:54 UTC
State Changed
From-To: open->closed

Fixed